#ifndef SCRIPTNODE_H
#define SCRIPTNODE_H

#include "scene/graphicalnode.h"
#include "sol.hpp"

class ScriptNode : public GraphicalNode
{

    sol::state m_script;

public:
    ScriptNode();
    void update();
    void execute(std::string);

    /* -- LUA function -- */
    void print(std::string);
    void version();
    void clear();

};

#endif // SCRIPTNODE_H
